<?
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `comm` WHERE `id` = '".intval($_GET['id'])."'"),0)!=0)
{

$comm=mysql_query("SELECT * FROM `comm` WHERE `id` = '".intval($_GET['id'])."'");
$comm=mysql_fetch_array($comm);

user_access('comm_ban',null,'?sid=&'.SID);
adm_check();



$set['title'] = 'Сообщества - Админка - Нарушения'; // Заголовок страницы
include_once '../sys/inc/thead.php';
/*
if (isset($_POST['ban_pr']) && isset($_POST['type']) && (user_access('comm_ban')))
{
if ($_POST['type']==1){
if (isset($_POST['time']) && isset($_POST['vremja'])){
$timeban=$time;
if ($_POST['vremja']=='min')$timeban+=intval($_POST['time'])*60;
if ($_POST['vremja']=='chas')$timeban+=intval($_POST['time'])*60*60;
if ($_POST['vremja']=='sut')$timeban+=intval($_POST['time'])*60*60*24;
if ($timeban<$time)$err[]='Ошибка времени бана';
if (!user_access('comm_ban'))$timeban=min($timeban, $time+3600*24);
}else$err[]='Не указано время бана!';
}else$timeban=$time;

$prich=my_esc($_POST['ban_pr']);
if (strlen2($prich)>1024){$err[]='Сообщение слишком длинное';} 
if (strlen2($prich)<5){$err[]='Необходимо подробнее указать причину';}

if ($_POST['type']==1)$tip='Бан';
elseif ($_POST['type']==2)$tip='Предупреждение';
elseif ($_POST['type']==3)$tip='Блок';
else$err[]='Не указано тип!';

if (!isset($err)){
mysql_query("INSERT INTO `comm_ban` (`id_comm`, `id_banned`, `type`, `prich`, `time`) VALUES ('$comm[id]', '$user[id]', '".intval($_POST['type'])."', '$prich', '$timeban')");
admin_log('Сообщество','$type',"$type для '[url=/comm/?act=comm_adm&id=$comm[id]]$acomm[nick][/url]' до ".vremja($timeban)." по причине '$prich'");
msg('Cjj,otcndj успешно забаненj');
}
}
*/
//err();
aut();
//if (user_access('comm_ban'))
//{
echo "<form action=\"?act=comm_adm&amp;id=$comm[id]&amp;$passgen\" method=\"post\">\n";
echo "Причина:<br />\n";
echo "<textarea name=\"ban_pr\"></textarea><br />\n";

echo "Тип наказания:<br />\n";
echo "<input type='radio' name='type' value='1' checked='checked'>Бан<br />\n";
echo "<input type='radio' name='type' value='2'>Предупреждение<br />\n";
if (user_access('user_ban_set'))echo "<input type='radio' name='type' value='3'>Блок<br />\n";

echo "Время бана ".(user_access('comm_ban')?null:'(max 1 сутки)').":<br />\n";
echo "<input type='text' name='time' title='Время бана' value='10' maxlength='11' size='3' />\n";
echo "<select class='form' name=\"vremja\">\n";
echo "<option value='min'>Минуты</option>\n";
echo "<option ".(($k_post>1)?'selected="selected" ':null)."value='chas'>Часы</option>\n";
echo "<option value='sut'>Сутки</option>\n";
echo "</select><br />\n";
echo "<input type='submit' value='Забанить' />\n";
echo "</form>\n";
//}
//else
//{
//echo "<div class='err'>Нет прав для того, чтобы забанить пользователя</div>\n";
//}
/*
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `id_user` = '$ank[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "Нет нарушений<br />\n";
}
$q=mysql_query("SELECT * FROM `ban` WHERE `id_user` = '$ank[id]' ORDER BY `time` DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
if($num==1){ 
echo "<div class='row'>"; 
$num=0;
}else{ 
echo "<div class='row2'>"; 
$num=1;}
$ank2=mysql_fetch_assoc(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_ban] LIMIT 1"));
if ($post['tip']==1)$tip='Бан';
elseif ($post['tip']==2)$tip='Предупреждение';
elseif ($post['tip']==3)$tip='Блок';

echo "<span class=\"ank_n\">Тип:</span> [<span class=\"off\">$tip</span>]<br />\n";
echo "<span class=\"ank_d\"><a href='/id$ank2[id]'>$ank2[nick]</a>".online($ank2['id'])."</span> \n";
if ($post['tip']==1)echo "<span class=\"ank_n\">забанил до:</span> <span class=\"ank_d\">".vremja($post['time'])."</span><br />\n";
elseif ($post['tip']==3)echo "<span class=\"ank_n\">забанил:</span> <span class=\"off\">Навсегда!!!</span><br />\n";
echo "<span class=\"ank_n\">Причина:</span><br />\n";
echo output_text($post['prich'])."<br />\n";

if ($post['time']>$time && user_access('user_ban_unset'))
echo "[<a href='?id=$ank[id]&amp;unset=$post[id]'>Снять бан</a>]\n";
if (user_access('user_ban_unset'))echo "[<a href='?id=$ank[id]&amp;del=$post[id]'>Удалить бан</a>]\n";
echo "</div>";
}
if ($k_page>1)str('?id='.$ank['id'].'&amp;',$k_page,$page); // Вывод страниц
*/




}
else{header("Location:/comm");exit;}

?>